#!/bin/bash

#test whether you foud the configuration file
DEFAULT_INSTALL=/opt/glite

DEFAULT_FILE=$DEFAULT_INSTALL/etc/grid-cm-client-wn.conf
HOME_ENV_FILE=$GCM_HOME/etc/grid-cm-client-wn.conf
ENV_FILE=$GCM_CLIENT_WN_CONFIG

#look for configuration file

if [ "$DEFAULT_FILE" -a -f $DEFAULT_FILE ] ; then
	FOUND_FILE=$DEFAULT_FILE
fi

if [ "$HOME_ENV_FILE" -a -f $HOME_ENV_FILE ] ; then 
	FOUND_FILE=$HOME_ENV_FILE
fi

if [ "$ENV_FILE" -a -f $ENV_FILE] ; then
	FOUND_FILE=$ENV_FILE
fi	

[ ! "$FOUND_FILE" ] && exit

#look for active=1 in configuration file

GCM_CLIENT_WN_ACTIVE=`grep ^active=1$ $FOUND_FILE`

[ ! "$GCM_CLIENT_WN_ACTIVE" ] && exit

#look for grid-cm-client-wn

if type grid-cm-client-wn &>/dev/null ; then
	grid-cm-client-wn
elif [ -f "$DEFAULT_INSTALL/bin/grid-cm-client-wn" ] ; then
	$DEFAULT_INSTALL/bin/grid-cm-client-wn
else
	$GCM_HOME/bin/grid-cm-client-wn
fi

